/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 上传保单信息 POST /api/Insurance/AddAttachmentForBill */
export async function addAttachmentForBill(
  body: API.UploadAttachmentInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/AddAttachmentForBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增投保计划 POST /api/Insurance/AddInsurePlan */
export async function addInsurePlan(body: API.AddInsurePlanInput, options?: API.RequestConfig) {
  return request<number>('/api/Insurance/AddInsurePlan', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新建  保险方案 POST /api/Insurance/AddInsureProject */
export async function addInsureProject(
  body: API.AddInsureProjectInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Insurance/AddInsureProject', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保存更新常用信息 POST /api/Insurance/AddUpdateInsureCommonInfo */
export async function addUpdateInsureCommonInfo(
  body: API.AddUpdateInsureCommonInfoInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Insurance/AddUpdateInsureCommonInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保单批单管理 POST /api/Insurance/AddUpdateOfflineInsureBatchBill */
export async function addUpdateOfflineInsureBatchBill(
  body: API.InsureBatchBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/AddUpdateOfflineInsureBatchBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批量更新产品状态 POST /api/Insurance/BatchUpdateInsureProductStatus */
export async function batchUpdateInsureProductStatus(
  body: API.UpdateInsureProductStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/BatchUpdateInsureProductStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取批单的保险费用 POST /api/Insurance/CalCulateBatchInsureMoney */
export async function calCulateBatchInsureMoney(
  body: API.InsureBatchBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CalCulateBatchInsureMoney', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取过期批单的保险费用 POST /api/Insurance/CalCulateBatchInsureMoneyForExpire */
export async function calCulateBatchInsureMoneyForExpire(
  body: API.InsureBatchBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CalCulateBatchInsureMoneyForExpire', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取投保的费用 POST /api/Insurance/CalCulateInsureMoney */
export async function calCulateInsureMoney(
  body: API.GetInsureMoneyInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CalCulateInsureMoney', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 执行投保临近到期通知(自行调试) POST /api/Insurance/ChangeInsurancePolicyCloseEndDateStatus */
export async function changeInsurancePolicyCloseEndDateStatus(options?: API.RequestConfig) {
  return request<number>('/api/Insurance/ChangeInsurancePolicyCloseEndDateStatus', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 检测常用信息是否已经存在 POST /api/Insurance/CheckIsExsitInsureCommonInfo */
export async function checkIsExsitInsureCommonInfo(
  body: API.AddUpdateInsureCommonInfoInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CheckIsExsitInsureCommonInfo', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 检测职业类别是否符合产品方案投保要求 POST /api/Insurance/CheckJobTypeIsAllowInsure */
export async function checkJobTypeIsAllowInsure(
  body: API.CheckJobTypeIsAllowInsureInput,
  options?: API.RequestConfig
) {
  return request<boolean>('/api/Insurance/CheckJobTypeIsAllowInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下批单审核 POST /api/Insurance/CheckOfflineBatchInsureBill */
export async function checkOfflineBatchInsureBill(
  body: API.CheckOfflineInsureBatchBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CheckOfflineBatchInsureBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下投保审核 POST /api/Insurance/CheckOfflineInsureBill */
export async function checkOfflineInsureBill(
  body: API.CheckOfflineInsureBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/CheckOfflineInsureBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取客户钱包信息 GET /api/Insurance/CheckUserWalletBalanceInfoForTransfer */
export async function checkUserWalletBalanceInfoForTransfer(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIcheckUserWalletBalanceInfoForTransferParams,
  options?: API.RequestConfig
) {
  return request<API.CheckUserWalletBalanceInfoOutput>(
    '/api/Insurance/CheckUserWalletBalanceInfoForTransfer',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 线下批单到账审核 POST /api/Insurance/ConfirmToAccountForBatchInsure */
export async function confirmToAccountForBatchInsure(
  body: API.ConfirmToAccountBatchInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/ConfirmToAccountForBatchInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下到账确认 POST /api/Insurance/ConfirmToAccountForInsure */
export async function confirmToAccountForInsure(
  body: API.ConfirmToAccountInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/ConfirmToAccountForInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取客户关联协议模板文件 POST /api/Insurance/ContractTemplateFileDown */
export async function contractTemplateFileDown(
  body: API.ContractTemplateDownInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/Insurance/ContractTemplateFileDown', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除常用信息 DELETE /api/Insurance/DeleteCommonInfo */
export async function deleteCommonInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteCommonInfoParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/DeleteCommonInfo', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除投保计划单个明细 GET /api/Insurance/DeletedInsurePlanDetail */
export async function deletedInsurePlanDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeletedInsurePlanDetailParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/DeletedInsurePlanDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除保险 GET /api/Insurance/DeleteInsurancePolicy */
export async function deleteInsurancePolicy(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsurancePolicyParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/DeleteInsurancePolicy', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除批单 POST /api/Insurance/DeleteInsureBatchBill */
export async function deleteInsureBatchBill(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureBatchBillParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/DeleteInsureBatchBill', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 删除保险方案 GET /api/Insurance/DeleteInsureProject */
export async function deleteInsureProject(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteInsureProjectParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/DeleteInsureProject', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 意外险批量退保(仅支持意外险) POST /api/Insurance/EnterpriseBatchAccidentRefund */
export async function enterpriseBatchAccidentRefund(
  body: API.EnterpriseBatchRefundInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsureRefundSendResponse>('/api/Insurance/EnterpriseBatchAccidentRefund', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 雇主险批量退保(仅支持雇主险) POST /api/Insurance/EnterpriseBatchRefund */
export async function enterpriseBatchRefund(
  body: API.EnterpriseBatchRefundInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsureRefundSendResponse>('/api/Insurance/EnterpriseBatchRefund', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 执行投保计划(自行调试) POST /api/Insurance/ExecInsuracePlanToInsure */
export async function execInsuracePlanToInsure(options?: API.RequestConfig) {
  return request<number>('/api/Insurance/ExecInsuracePlanToInsure', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 批单管理--导出名单 GET /api/Insurance/ExportInsureBatchStaff */
export async function exportInsureBatchStaff(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIexportInsureBatchStaffParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/ExportInsureBatchStaff', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 导出人员名单 GET /api/Insurance/ExportInsureStaff */
export async function exportInsureStaff(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIexportInsureStaffParams,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/ExportInsureStaff', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取批单下参保人员列表 POST /api/Insurance/GetBatchBillDetailPagedList */
export async function getBatchBillDetailPagedList(
  body: API.GetBatchBillDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyDetailInfoPageOutput>(
    '/api/Insurance/GetBatchBillDetailPagedList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保单或批单下 增加 删除 更改人员列表 GET /api/Insurance/GetBatchBillStaffList */
export async function getBatchBillStaffList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetBatchBillStaffListParams,
  options?: API.RequestConfig
) {
  return request<API.GetBatchBillStaffListOutput>('/api/Insurance/GetBatchBillStaffList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取企业投保地址 GET /api/Insurance/GetCompanyInsureAddressList */
export async function getCompanyInsureAddressList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetCompanyInsureAddressListParams,
  options?: API.RequestConfig
) {
  return request<API.GetCompanyInsureAddressList[]>('/api/Insurance/GetCompanyInsureAddressList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 投保详情导出 POST /api/Insurance/GetInsurancePolicyDetailExport */
export async function getInsurancePolicyDetailExport(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurancePolicyDetailExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保详情导出（江西模式） POST /api/Insurance/GetInsurancePolicyDetailExportJx */
export async function getInsurancePolicyDetailExportJx(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurancePolicyDetailExportJx', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保单人员列表无分页 POST /api/Insurance/GetInsurancePolicyDetailList */
export async function getInsurancePolicyDetailList(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyDetailInfo[]>('/api/Insurance/GetInsurancePolicyDetailList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保详情列表 POST /api/Insurance/GetInsurancePolicyDetailPagedList */
export async function getInsurancePolicyDetailPagedList(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyDetailInfoPageOutput>(
    '/api/Insurance/GetInsurancePolicyDetailPagedList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 投保详情列表头部 GET /api/Insurance/GetInsurancePolicyDetailPagedListHead */
export async function getInsurancePolicyDetailPagedListHead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsurancePolicyDetailPagedListHeadParams,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyInfo>('/api/Insurance/GetInsurancePolicyDetailPagedListHead', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 投标详情列表 (江西模式) POST /api/Insurance/GetInsurancePolicyDetailPagedListJx */
export async function getInsurancePolicyDetailPagedListJx(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyDetailInfoJxPageOutput>(
    '/api/Insurance/GetInsurancePolicyDetailPagedListJx',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 获取保险管理列表 POST /api/Insurance/GetInsurancePolicyInfoPagedList */
export async function getInsurancePolicyInfoPagedList(
  body: API.GetInsurancePoliciesInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyInfoPageOutput>(
    '/api/Insurance/GetInsurancePolicyInfoPagedList',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 投保列表 POST /api/Insurance/GetInsurancePolicyList */
export async function getInsurancePolicyList(
  body: API.GetInsurancePolicyListInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsurancePolicyListPageOutput>('/api/Insurance/GetInsurancePolicyList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保列表导出 POST /api/Insurance/GetInsurancePolicyListExport */
export async function getInsurancePolicyListExport(
  body: API.GetInsurancePolicyListInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurancePolicyListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 人员投保记录/(新)投保人投保次数 POST /api/Insurance/GetInsurancePolicyRecords */
export async function getInsurancePolicyRecords(
  body: API.GetInsurancePolicyRecordsInput,
  options?: API.RequestConfig
) {
  return request<API.InsurancePolicyRecordPageOutput>('/api/Insurance/GetInsurancePolicyRecords', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 按客户进行统计 POST /api/Insurance/GetInsuranceStaticByCustomer */
export async function getInsuranceStaticByCustomer(
  body: API.GetInsurancePoliciesInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsuranceStaticByCustomerDtoPageOutput>(
    '/api/Insurance/GetInsuranceStaticByCustomer',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 按客户进行统计导出 POST /api/Insurance/GetInsuranceStaticByCustomerExport */
export async function getInsuranceStaticByCustomerExport(
  body: API.GetInsurancePoliciesInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsuranceStaticByCustomerExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取日志 POST /api/Insurance/GetInsureActionLogList */
export async function getInsureActionLogList(
  body: API.GetInsureActionLogInput,
  options?: API.RequestConfig
) {
  return request<API.InsureActionLogOutputPageOutput>('/api/Insurance/GetInsureActionLogList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取批单详情 GET /api/Insurance/GetInsureBatchBillDetail */
export async function getInsureBatchBillDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureBatchBillDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchBillDetailDto>('/api/Insurance/GetInsureBatchBillDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取常用信息详情 GET /api/Insurance/GetInsureCommonInfoDetail */
export async function getInsureCommonInfoDetail(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureCommonInfoDetailParams,
  options?: API.RequestConfig
) {
  return request<API.InsureCommonInfoDto>('/api/Insurance/GetInsureCommonInfoDetail', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取常用信息数据 POST /api/Insurance/GetInsureCommonInfoList */
export async function getInsureCommonInfoList(
  body: API.GetCommonInfoInput,
  options?: API.RequestConfig
) {
  return request<API.InsureCommonInfoDtoPageOutput>('/api/Insurance/GetInsureCommonInfoList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取不含分页常用信息列表 POST /api/Insurance/GetInsureCommonInfoNoPageList */
export async function getInsureCommonInfoNoPageList(
  body: API.GetCommonInfoInput,
  options?: API.RequestConfig
) {
  return request<API.InsureCommonInfoDto[]>('/api/Insurance/GetInsureCommonInfoNoPageList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取职位名称树 GET /api/Insurance/GetInsureCommonInfoTreeList */
export async function getInsureCommonInfoTreeList(options?: API.RequestConfig) {
  return request<API.InsurePersonSortBigTypeTree[]>('/api/Insurance/GetInsureCommonInfoTreeList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 投保详情 GET /api/Insurance/GetInsureInfo */
export async function getInsureInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureInfoParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsureInfo>('/api/Insurance/GetInsureInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取保单需更新后的起止有效期 GET /api/Insurance/GetInsureNewEffectDateTime */
export async function getInsureNewEffectDateTime(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureNewEffectDateTimeParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsureEffectDateTimeOutput>('/api/Insurance/GetInsureNewEffectDateTime', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 查看人员分类 POST /api/Insurance/GetInsurePersonSortList */
export async function getInsurePersonSortList(
  body: API.GetInsurePersonSortListInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsurePersonSortListPageOutput>('/api/Insurance/GetInsurePersonSortList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取职业类别列表 无分页 POST /api/Insurance/GetInsurePersonSortNoPageList */
export async function getInsurePersonSortNoPageList(
  body: API.GetInsurePersonSortListInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsurePersonSortList[]>('/api/Insurance/GetInsurePersonSortNoPageList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取计划详情投保批次 POST /api/Insurance/GetInsurePlanDetailList */
export async function getInsurePlanDetailList(
  body: API.GetInsurePlanDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurePlanDetailDtoPageOutput>('/api/Insurance/GetInsurePlanDetailList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出计划详情投保批次 POST /api/Insurance/GetInsurePlanDetailListExport */
export async function getInsurePlanDetailListExport(
  body: API.GetInsurePlanDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurePlanDetailListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取计划详细人员名单 POST /api/Insurance/GetInsurePlanDetailStaff */
export async function getInsurePlanDetailStaff(
  body: API.GetInsurePlanDetailInput,
  options?: API.RequestConfig
) {
  return request<API.InsurePlanStaffDtoPageOutput>('/api/Insurance/GetInsurePlanDetailStaff', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导出计划详细人员名单 POST /api/Insurance/GetInsurePlanDetailStaffExport */
export async function getInsurePlanDetailStaffExport(
  body: API.GetInsurePlanDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurePlanDetailStaffExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取投保计划详情基本信息 POST /api/Insurance/GetInsurePlanHead */
export async function getInsurePlanHead(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsurePlanHeadParams,
  options?: API.RequestConfig
) {
  return request<API.InsurePlanDto>('/api/Insurance/GetInsurePlanHead', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 人员投保计划 POST /api/Insurance/GetInsurePlanList */
export async function getInsurePlanList(body: API.GetInsurePlanInput, options?: API.RequestConfig) {
  return request<API.InsurePlanDtoPageOutput>('/api/Insurance/GetInsurePlanList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 人员投保计划导出 POST /api/Insurance/GetInsurePlanListExport */
export async function getInsurePlanListExport(
  body: API.GetInsurePlanInfoExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/GetInsurePlanListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取产品列表 POST /api/Insurance/GetInsureProductList */
export async function getInsureProductList(
  body: API.GetInsureProductInput,
  options?: API.RequestConfig
) {
  return request<API.InsureProductDtoPageOutput>('/api/Insurance/GetInsureProductList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保险方案 GET /api/Insurance/GetInsureProjectByShortId */
export async function getInsureProjectByShortId(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetInsureProjectByShortIdParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsureProjectByShortId>('/api/Insurance/GetInsureProjectByShortId', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取保险方案列表 POST /api/Insurance/GetInsureProjectList */
export async function getInsureProjectList(
  body: API.GetInsureProjectListInput,
  options?: API.RequestConfig
) {
  return request<API.GetInsureProjectListPageOutput>('/api/Insurance/GetInsureProjectList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取批单列表 POST /api/Insurance/GetOfflineInsureBatchBillList */
export async function getOfflineInsureBatchBillList(
  body: API.GetInsuranceBatchBillInput,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchBillDtoPageOutput>('/api/Insurance/GetOfflineInsureBatchBillList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取保单下修改记录 GET /api/Insurance/GetOfflineInsureBatchBillNoPageList */
export async function getOfflineInsureBatchBillNoPageList(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetOfflineInsureBatchBillNoPageListParams,
  options?: API.RequestConfig
) {
  return request<API.InsureBatchBillDto[]>('/api/Insurance/GetOfflineInsureBatchBillNoPageList', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 小程序获取手机号 GET /api/Insurance/GetPhoneNumber */
export async function getPhoneNumber(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetPhoneNumberParams,
  options?: API.RequestConfig
) {
  return request<API.GetPhoneNumberInfo>('/api/Insurance/GetPhoneNumber', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 使用手机号获取职员信息 GET /api/Insurance/GetStaffByIdNum */
export async function getStaffByIdNum(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetStaffByIdNumParams,
  options?: API.RequestConfig
) {
  return request<API.GetPhoneNumberInfo>('/api/Insurance/GetStaffByIdNum', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取不限制的小程序码 POST /api/Insurance/GetUnlimitedQRCode */
export async function getUnlimitedQRCode(
  body: API.UnlimitedQRCodeInput,
  options?: API.RequestConfig
) {
  return request<API.UnlimitedQRCodeDto>('/api/Insurance/GetUnlimitedQRCode', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 获取用户钱包开通列表 GET /api/Insurance/GetUserOpenWalletList */
export async function getUserOpenWalletList(options?: API.RequestConfig) {
  return request<API.WalletAccountTypeMainStatusInfo[]>('/api/Insurance/GetUserOpenWalletList', {
    method: 'GET',
    ...(options || {}),
  });
}

/** 获取保险工作台的数据明细 GET /api/Insurance/GetWorkPlatSumInfo */
export async function getWorkPlatSumInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetWorkPlatSumInfoParams,
  options?: API.RequestConfig
) {
  return request<API.GetWorkPlatSumInfoOutput>('/api/Insurance/GetWorkPlatSumInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 身份证导入职员解析 POST /api/Insurance/ImportIdentityCards */
export async function importIdentityCards(
  body: API.ImportIdentityCardInput,
  options?: API.RequestConfig
) {
  return request<API.ImportIdentityCardResult[]>('/api/Insurance/ImportIdentityCards', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 导入职员解析 POST /api/Insurance/ImportInsStaffToList */
export async function importInsStaffToList(
  body: API.ExportInsStaffInput,
  options?: API.RequestConfig
) {
  return request<API.ImportInsStaffAnalysisList[]>('/api/Insurance/ImportInsStaffToList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传人员名单解析 POST /api/Insurance/ImportInsStaffToListNew */
export async function importInsStaffToListNew(
  body: API.ExportInsStaffInput,
  options?: API.RequestConfig
) {
  return request<API.ImportInsStaffAnalysisListOutput>('/api/Insurance/ImportInsStaffToListNew', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保险管理列表导出 POST /api/Insurance/InsurancePoliciesExport */
export async function insurancePoliciesExport(
  body: API.GetInsurancePoliciesInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/InsurancePoliciesExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保险管理列表导出 POST /api/Insurance/InsurancePoliciesExportJx */
export async function insurancePoliciesExportJx(
  body: API.GetInsurancePoliciesInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/InsurancePoliciesExportJx', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保详情列表导出 POST /api/Insurance/InsurancePolicyDetailExport */
export async function insurancePolicyDetailExport(
  body: API.GetInsurancePolicyDetailInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/InsurancePolicyDetailExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 人员投保记录/(新)投保人投保次数导出 POST /api/Insurance/InsurancePolicyRecordsExport */
export async function insurancePolicyRecordsExport(
  body: API.GetInsurancePolicyRecordsExportInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/InsurancePolicyRecordsExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 投保 POST /api/Insurance/Insure */
export async function insure(body: API.InsureInput, options?: API.RequestConfig) {
  return request<API.InsureDto>('/api/Insurance/Insure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 人员批增投保 POST /api/Insurance/InsureBatchAdd */
export async function insureBatchAdd(body: API.InsureBatchAddInput, options?: API.RequestConfig) {
  return request<API.InsureDto>('/api/Insurance/InsureBatchAdd', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 退保 GET /api/Insurance/InsureRefund */
export async function insureRefund(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIinsureRefundParams,
  options?: API.RequestConfig
) {
  return request<API.GetInsureRefundSendResponse>('/api/Insurance/InsureRefund', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 线下产品投保 POST /api/Insurance/OfflineInsure */
export async function offlineInsure(body: API.InsureInput, options?: API.RequestConfig) {
  return request<API.InsureDto>('/api/Insurance/OfflineInsure', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批单管理数据导出 POST /api/Insurance/OfflineInsureBatchBillListExport */
export async function offlineInsureBatchBillListExport(
  body: API.GetInsuranceBatchBillInput,
  options?: API.RequestConfig
) {
  return request<any>('/api/Insurance/OfflineInsureBatchBillListExport', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 保单审核通过 POST /api/Insurance/OfflineInsureBillPass */
export async function offlineInsureBillPass(
  body: API.OfflineInsureBillPassInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/OfflineInsureBillPass', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 线下产品投保江西模式 POST /api/Insurance/OfflineInsureJx */
export async function offlineInsureJx(body: API.InsureInput, options?: API.RequestConfig) {
  return request<API.InsureDto>('/api/Insurance/OfflineInsureJx', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批单余额支付 POST /api/Insurance/PayOfflineBatchInsureBill */
export async function payOfflineBatchInsureBill(
  body: API.PayOfflineInsureBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/PayOfflineBatchInsureBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 余额支付 POST /api/Insurance/PayOfflineInsureBill */
export async function payOfflineInsureBill(
  body: API.PayOfflineInsureBillInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/PayOfflineInsureBill', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置投保驳回 POST /api/Insurance/UpdateInsureBillSetFailture */
export async function updateInsureBillSetFailture(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIupdateInsureBillSetFailtureParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UpdateInsureBillSetFailture', {
    method: 'POST',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 更新保单生效起始截止日期 GET /api/Insurance/UpdateInsureEffectDateTime */
export async function updateInsureEffectDateTime(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIupdateInsureEffectDateTimeParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UpdateInsureEffectDateTime', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 更新产品状态 GET /api/Insurance/UpdateInsureProductStatus */
export async function updateInsureProductStatus(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIupdateInsureProductStatusParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UpdateInsureProductStatus', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 更新场地码状态 GET /api/Insurance/UpdateInsureProjectStatus */
export async function updateInsureProjectStatus(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIupdateInsureProjectStatusParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UpdateInsureProjectStatus', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 批单上传附件 POST /api/Insurance/UploadBatchAttachmentUrl */
export async function uploadBatchAttachmentUrl(
  body: API.UploadBatchAttachmentUrlInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadBatchAttachmentUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 批单 转账汇款 上传转账凭证 POST /api/Insurance/UploadBatchInsureBillUrl */
export async function uploadBatchInsureBillUrl(
  body: API.UploadBatchPayVoucherUrlInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadBatchInsureBillUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 设置批单状态为失败 GET /api/Insurance/UploadBatchInsureFailure */
export async function uploadBatchInsureFailure(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIuploadBatchInsureFailureParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadBatchInsureFailure', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 保存企业关联协议文件 POST /api/Insurance/UploadCustomerContract */
export async function uploadCustomerContract(
  body: API.ContractUploadInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadCustomerContract', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 上传投保单 POST /api/Insurance/UploadInsureBillFile */
export async function uploadInsureBillFile(
  body: API.UploadInsureBillFileInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadInsureBillFile', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 转账汇款 上传转账凭证 POST /api/Insurance/UploadInsureBillUrl */
export async function uploadInsureBillUrl(
  body: API.UploadVoucherUrlInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/Insurance/UploadInsureBillUrl', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
